﻿@charset "UTF-8";

/* ----テーブル---- */

.table,
.table td,
.table th {
  border-collapse: collapse;
  border: 1px solid #c8c8c8;
}

.table {
  table-layout: fixed;
  width: 100%;
}

.table td,
.table th {
  padding: 5px;
}

.table th {
  font-weight: normal;
  background-color: #f8f8f8;
  width: 35%;
  text-align: left;
}

.table td {
  background-color: #fff;
}

/* ----テキストカラー----*/

.text-muted {
  color: #777;
}

.text-warning {
  color: #8a6d3b;
}

.text-danger {
  color: #a94442;
}

.price {
  color: #c30;
}

.default-price {
  text-decoration: line-through ;
  color: #333;
  font-weight: bold;
}

.net-price {
  color: #555;
}

.exchange-price {
  color: #555;
}

/* ----商品説明リスト---- */

.goods-detail-description {
  display: table;
  width: 100%;
}

.goods-detail-description dt {
  display: table-cell;
  width: 120px;
  font-weight: bold;
}

.goods-detail-description dd {
  display: table-cell;
}

/* ----パネル---- */

.panel {
  padding: 10px;
  overflow: hidden;
  border: solid 1px #dcdcdc;
  background: #fff;
}

/* ----バッジ---- */

.badge {
  display: inline-block;
  min-width: 10px;
  padding: 3px 7px;
  line-height: 1;
  vertical-align: middle;
  white-space: nowrap;
  text-align: center;
  border-radius: 10px;
  color: #fff;
  background-color: #777;
}

.badge:empty {
  display: none;
}

/* ----ページャー---- */

.pager {
  margin-bottom: 10px;
  text-align: center;
}

.pager > * {
  display: inline-block;
  vertical-align: top;
}

.pager-scope {
  padding: 3px;
  margin: 0 10px;
  text-align: center;
  display: block;
}

.pager-total {
  display: block;
  padding: 3px;
  margin-right: 5px;
}

.pager-count span {
  font-weight: bold;
}

.pagination > li {
  min-width: 28px;
}

.pagination {
  display: inline-block;
}

.pagination > * {
  list-style-type: none;
  float: left;
  padding: 5px 1px;
  background-color: #fff;
  border: 1px solid #dcdcdc;
  text-align: center;
  font-size: 14px;
  line-height: 1;
  margin: 0 1px;
}

.pagination > .disabled {
  color: #777;
}

.pager-current {
  color: #fff;
  background-color: #666;
  border: 1px solid #666;
}

.pager-current span {
  font-weight: bold;
}

/* ----画像センタリング配置---- */

.img-center {
  display: -webkit-flex;
  display: flex;
  justify-content: center;
  align-items: center;
}

.img-center img {
  text-align: center;
  max-height: 100%;
  max-width: 100%;
  height: auto;
  width: auto;
  object-fit: contain;
}

/* ----画像幅調整---- */
.img-width-enlarge img {
  width: 100%;
}

/* ----ツールチップ---- */

.balloontip {
  min-width: 20px;
  max-width: 100%;
  padding: 10px;
  border-radius: 6px;
  opacity: 1;
  z-index: 32767;
  text-align: left;
  font-size: 12px;
  border: 1px solid rgb(119, 119, 119);
  box-shadow: rgb(85, 85, 85) 4px 4px 4px;
  color: rgb(255, 255, 255);
  background: #333;
}

/* ----ドロップダウン---- */

.dropdown {
  z-index: 11000;
}

.dropdown li {
  background: #444;
}

.dropdown li span {
  display: block;
  padding: 13px 15px;
  margin: 0;
  text-decoration: none;
  line-height: 1;
  color: #fff;
  cursor: pointer;
}

.dropdown li span:hover {
  background: #616d0b;
}

/* ----モーダルダイアログ---- */

.modal-overlay {
  position: fixed;
  top: 0;
  left: 0;
  width: 100%;
  height: 100%;
  background-color: #333;
  opacity: 0.3;
  z-index: 10000;
}

.modal-overlay-alert {
  position: fixed;
  top: 0;
  left: 0;
  width: 100%;
  height: 100%;
  background-color: #000;
  opacity: 0.4;
  z-index: 10002;
}

.modal-alert {
  padding: 0 10px;
  width: 100%;
  max-width: 600px;
  z-index: 10003;
}

.modal-dialog {
  padding: 0 10px;
  width: 100%;
  max-width: 600px;
  max-height: 80%;
  overflow-y: auto;
  z-index: 10001;
}

.modal-dialog,
.modal-alert {
  position: fixed;
  inset: 0;
  height: fit-content;
  margin: auto;
}
.page-method .modal-dialog{
  width: calc(100% - 20px);
  height:auto;
  max-height: 80vh;
  background: #eee;
}
.page-method .modal-dialog::-webkit-scrollbar {
  width: 8px;
}
.page-method .modal-dialog::-webkit-scrollbar-thumb {
  background-color: rgba(0, 0, 0, 0.3);
  border-radius: 4px;
}
.page-method .modal-dialog::-webkit-scrollbar-track {
  background: transparent;
}

.page-method .modal-body{
  padding: 50px 10px 10px 10px;
}
.page-method .modal-wrapper{
  height: 100%;
  overflow-y: auto;
}

.modal-header {
  padding: 10px;
  font-weight: bold;
  clear: both;
  border-bottom: none;
  line-height: 1;
  color: #fff;
  background-color: #333;
}

.page-method .modal-header {
  position: fixed;
  width: calc(100% - 20px);
  max-width: 600px;
  transform: translateX(-10px);
}

.modal-content {
  background: #eee;
}

.modal-body {
  padding: 10px;
}

.modal-body p {
  margin-bottom: 10px;
}

.modal-footer {
  padding: 0 10px 10px;
}

.modal-footer .btn {
  margin-top: 5px;
  width: 100%;
}

.modal-close {
  display: block;
  width: 18px;
  cursor: pointer;
  float: right;
  font-weight: 700;
  line-height: 1;
  text-align: center;
  color: #fff;
}

/* ----ヘッダー警告---- */

.header-warning {
  position: relative;
  padding: 10px;
  background: #fffacd;
  border-bottom: 1px solid #b0c4de;
}

.header-warning-contents {
  display: block;
  padding-right: 18px;
  text-align: center;
  background: transparent;
}

.header-warning-close {
  display: block;
  position: absolute;
  width: 18px;
  cursor: pointer;
  font-weight: bold;
  top: 10px;
  right: 10px;
  background: transparent;
}

/* ----検索エンジン向けH1タグ---- */

.optimaized-h1 {
  margin: 0;
  padding: 0;
  font-size: 10px;
}

/* ----レビュー---- */

.star-base {
  float: left;
  width: 60px;
  height: 15px;
  background: url("../../img/usr/user_review/star.png");
}

.star-select {
  width: 60px;
  height: 15px;
  background: url("../../img/usr/user_review/star.png");
  background-repeat: no-repeat;
}

.star-select-link {
  color: #66f;
  float: left;
  margin-left: 5px;
}

/* ----注文ステータス---- */

.status-order,
.status-cancel,
.status-income,
.status-reserve,
.status-rship,
.status-ship,
.status-verify,
.status-return,
.status-status_,
.status-status_1,
.status-status_2,
.status-status_3,
.status-status_4,
.status-status_9 {
  height: auto;
  min-height: 50px;
  border: #ccc solid 1px;
  padding: 5px 0;
}

.block-purchase-history-cardupdate--status .status-order,
.block-purchase-history-cardupdate--status .status-cancel,
.block-purchase-history-cardupdate--status .status-income,
.block-purchase-history-cardupdate--status .status-reserve,
.block-purchase-history-cardupdate--status .status-rship,
.block-purchase-history-cardupdate--status .status-ship,
.block-purchase-history-cardupdate--status .status-verify,
.block-purchase-history-cardupdate--status .status-return,
.block-purchase-history-cardupdate--status .status-status_,
.block-purchase-history-cardupdate--status .status-status_1,
.block-purchase-history-cardupdate--status .status-status_2,
.block-purchase-history-cardupdate--status .status-status_3,
.block-purchase-history-cardupdate--status .status-status_4,
.block-purchase-history-cardupdate--status .status-status_9 {
  border: none;
}

.status-message,
.status-percentage {
  display: block;
  width: 90%;
  padding: 4px 0;
  margin: auto;
  text-align: center;
}

.status-message {
  font-size: 12px;
}

.status-percentage {
  color: #031241;
  font-size: clamp(14px,4.5vw,24px);
  text-align: center;
}

[class^="status-progress"] {
  display: block;
  position: relative;
  width: 90%;
  height: 14px;
  margin: 0 auto;
  background: #ccc;
  display: none;
}

[class^="status-progress"]:after {
  content: "";
  display: block;
  position: absolute;
  top: 0;
  left: 0;
  height: 14px;
  border-right: #031241 solid 4px;
  background: #1e5799;
}

.status-progress-20:after {
  width: 20%;
}

.status-progress-40:after {
  width: 40%;
}

.status-progress-60:after {
  width: 60%;
}

.status-progress-80:after {
  width: 80%;
}

.status-progress-100:after {
  width: 100%;
}

.status-reserve .status-message,
.status-cancel .status-message,
.status-return .status-message,
.status-status_ .status-message,
.status-status_1 .status-message,
.status-status_2 .status-message,
.status-status_3 .status-message,
.status-status_4 .status-message,
.status-status_9 .status-message {
  width: 90%;
  text-align: center;
}

.status-reserve [class^="status-progress"]:after {
  border-right: #ea7500 solid 4px;
  background: #f79800;
}

.status-return [class^="status-progress"]:after {
  border-right: #028900 solid 4px;
  background: #00ab0b;
}

.status-progresbar {
  display: block;
  position: relative;
  width: 90%;
  height: 60px;
  margin: 40px auto 0;
}

.status-progresbar-list {
  display: flex;
  list-style: none;
  padding: 0;
  margin: 0;
  background-color: #dedede;
  height: 3px;
  border-radius: 20em;
}

.status-progresbar-item {
  text-align: center;
  position: relative;
  margin: auto;
  width: calc(100% / 4);
  display: flex;
  flex-wrap: wrap;
  flex-direction: column;
}
.status-progresbar-item::before {
    content: "";
    display: inline-block;
}
.status-progresbar-item::before {
    content: "";
    position: absolute;
    top: -8px;
    right: 0;
    left: 0;
    margin: auto;
    width: 15px;
    aspect-ratio: 1;
    border-radius: 100%;
    background-color: #dedede;
}
/* .status-progresbar-item::after {
    content: "";
    position: absolute;
    top: -1px;
    right: 0;
    margin: auto;
    width: 50%;
    height: 3px;
    border-radius: 20px;
    background-color: #63b7bd;
} */
.status-progresbar-list:not(.last-all-completed) .status-progresbar-item.last-completed + .status-progresbar-item::before,
.status-progresbar-list:not(.last-all-completed) .status-progresbar-item.last-completed ~ .status-progresbar-item::before {
  background-color: #a1e1e6;
}
.status-progresbar-item:not(.last-completed) + .status-progresbar-item .status-progresbar-description, 
.status-progresbar-item .status-progresbar-description {
  color: #dedede;
  font-size: 1em;
}
.status-progresbar-list:not(.last-all-completed) .status-progresbar-item.status-progresbar-completed.last-completed::before {
  background-color: #63b7bd;
}
.status-progresbar-list:not(.last-all-completed) .status-progresbar-item.status-progresbar-completed.last-completed .status-progresbar-description {
  color: #a1e1e6;
  font-size: 1.2em;
}
.status-progresbar-item.status-progresbar-completed::after,
.status-progresbar-item:not(.status-progresbar-completed) + .status-progresbar-item::after  {
  display: none;
}
@media (max-width: 800px){
  .status-progresbar-list:not(.last-all-completed) .status-progresbar-item.status-progresbar-completed.last-completed .status-progresbar-description {
    font-size: 1em;
  }
}

/* ステータス説明テキストのスタイル */
.status-progresbar-description {
  position: absolute;
  right: 0;
  left: 0;
  bottom: -18px;
  margin: auto;
  font-size: 12px;
  color: #666;
  box-sizing: border-box;
  font-weight: bold;
  text-align: center;
  height: 7px;
}

@media (max-width: 800px){
  .status-progresbar-description {
  width: 30px;
    font-size: 12px;
  }
  .status-progresbar-item:not(.status-progresbar-completed) + .status-progresbar-item .status-progresbar-description, 
  .status-progresbar-item .status-progresbar-description {
    color: #dedede;
    font-size: 11px;
  }
  .status-progresbar-item:not(.status-progresbar-completed) .status-progresbar-description {
    font-size: 1em;
  }
}

/* ----ホワイトスペース制御----*/

.white-space-pre-wrap {
  white-space: pre-wrap;
}

/* ----カテゴリ・ジャンルツリー----*/

.expand-tree-open i:before {
  content: "\f068";
}

/* ----Google reCAPTCHAロゴ位置---- */
.grecaptcha-badge {
  margin-bottom: 60px;
}

/* ---- !!!! ここより下にスタイルを追加しないこと !!!! */

/* ----表示・非表示---- */

.hidden {
  display: none;
}

.show {
  display: block;
}